> ## Documentation Index
> Fetch the complete documentation index at: https://invopop-singapore.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

> Generate an access token to start using an Invopop workspace.

Invopop API Keys are generated using the [Console](https://console.invopop.com). Enter **Configuration → API Keys** and click on **+ New API Key** on the top right corner. Enter the name and the description and click "Save". You'll be presented with a screen showing a new token. You **must** copy and paste this token, as we do not store it anywhere. If you lose it, you'll need to create a new API key.

<Tip>
  Invopop uses JSON Web Tokens. If you're interested in seeing the contents, head over to [JWT.io](https://jwt.io) and paste your token to see what's
  inside.
</Tip>

Tokens must be included in the `Authorization` HTTP header in all requests as a type `Bearer`.

Test everything is working correctly using the [ping](/api-ref/utils/ping)
endpoint and curl:

```bash theme={"system"}
$ curl -H "Authorization: Bearer [token]" https://api.invopop.com/utils/v1/ping

{"ping":"pong"}
```
